> ## Documentation Index
> Fetch the complete documentation index at: https://docs.undrctrl.id/llms.txt
> Use this file to discover all available pages before exploring further.

# Dripfeed

> Initiate a dripfeed order for the authenticated user with the given parameters.



## OpenAPI

````yaml api-order-dripfeed POST /api/v2/
openapi: 3.0.0
info:
  title: UNDRCTRL API
  description: List of all available APIs that can be consumed
  version: 1.0.0
servers:
  - url: https://undrctrl.id
    description: Production server
security: []
paths:
  /api/v2/:
    post:
      summary: Add Dripfeed Order
      description: >-
        Initiate a dripfeed order for the authenticated user with the given
        parameters.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                key:
                  type: string
                  description: The `API key` for authentication
                  example: apiKey
                action:
                  type: string
                  description: Action to be performed, set to `add`
                  example: add
                service:
                  type: integer
                  description: '`Service ID` for the order'
                  example: 123
                link:
                  type: string
                  description: '`Link` to the profile for the order'
                  example: https://instagram.com/undrctrl
                quantity:
                  type: integer
                  description: Needed `quantity` for the order
                  example: 100
                runs:
                  type: integer
                  description: Number of `runs` to deliver
                  example: 5
                interval:
                  type: integer
                  description: '`Interval` between runs in minutes'
                  example: 30
              required:
                - key
                - action
                - service
                - link
                - quantity
                - runs
                - interval
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  order:
                    type: integer
                    example: 23501
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Invalid API key
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Incorrect request

````